Draft Rectangle/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(4 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
|[[Draft_Polygon|Polygon]]
|[[Draft_Text|Text]]
|[[Draft_Module|Draft]]
|IconL=Draft_Polygon.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Text.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft Rectangle|Name/cs=Draft Rectangle|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architecture]]|MenuLocation=Draft -> Rectangle|Shortcut=R E|SeeAlso=[[Part Box/cs|Part Box]]}}
{{GuiCommand/cs|Name=Draft Rectangle|Name/cs=Draft Rectangle|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architecture]]|MenuLocation=Draft -> Rectangle|Shortcut=R E|SeeAlso=[[Part Box/cs|Part Box]]}}
Line 8: Line 17:
Nástroj Obdélník vytváří obdélník zadáním dvou protějších bodů. Použije se [[Draft Linestyle/cs|tloušťka čáry a barva]] předem zadaná v záložce Nástrojů.
Nástroj Obdélník vytváří obdélník zadáním dvou protějších bodů. Použije se [[Draft Linestyle/cs|tloušťka čáry a barva]] předem zadaná v záložce Nástrojů.
</div>
</div>

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.


[[Image:Draft_Rectangle_example.jpg|400px]]
[[Image:Draft_Rectangle_example.jpg|400px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_Rectangle_example.jpg|400px]]
</div>


<div class="mw-translate-fuzzy">
==Použití==
==Použití==
# Stiskněte tlačítko {{KEY|[[Image:Draft Rectangle.png|16px]] [[Draft Rectangle/cs|Obdélník]]}} nebo klávesy {{KEY|R}} a potom {{KEY|E}}
# Stiskněte tlačítko {{KEY|[[Image:Draft Rectangle.png|16px]] [[Draft Rectangle/cs|Obdélník]]}} nebo klávesy {{KEY|R}} a potom {{KEY|E}}
# Klikněte na první roh ve 3D pohledu nebo zadejte [[Draft_Coordinates/cs|souřadnice]]
# Klikněte na první roh ve 3D pohledu nebo zadejte [[Draft_Coordinates/cs|souřadnice]]
# Klikněte na protější bod ve 3D pohledu nebo zadejte [[Draft_Coordinates/cs|souřadnice]]. Obdélník je také povrchem, i když se jeví jako drátový model.
# Klikněte na protější bod ve 3D pohledu nebo zadejte [[Draft_Coordinates/cs|souřadnice]]. Obdélník je také povrchem, i když se jeví jako drátový model.
</div>

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit|Draft Edit]]}} button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 36: Line 56:
</div>
</div>


=== Data ===
See also [[Draft Pattern|Draft Pattern]] page.
* {{PropertyData|Length}}: specifies the length of the shape in the X axis direction.
* {{PropertyData|Height}}: specifies the height of the shape in the Y axis direction.
* {{PropertyData|Chamfer Size}}: specifies the diagonal length of the 45&#176; chamfer at each corner of the rectangle.
* {{PropertyData|Fillet Radius}}: specifies the radius of the 90&#176; fillet at each corner of the rectangle.
* {{PropertyData|Rows}}: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
* {{PropertyData|Columns}}: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
* {{PropertyData|Make Face}}: specifies if the shape makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object.

=== View ===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].
* {{PropertyView|Texture Image}}: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
:The rectangle should have the same proportions as the image to avoid distortions in the mapping.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 42: Line 75:
Nástroj Obdélník může být využit v [[macros/cs|makrech]] a z konzoly Pythonu použitím následující funkce:
Nástroj Obdélník může být využit v [[macros/cs|makrech]] a z konzoly Pythonu použitím následující funkce:
</div>
</div>

The Rectangle tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:


{{Code|code=
{{Code|code=
Line 53: Line 88:
* Je použita tloušťka čáry a barva čáry podle aktuálního nastavení.
* Je použita tloušťka čáry a barva čáry podle aktuálního nastavení.
* Výstupem je nově vytvořený objekt.
* Výstupem je nově vytvořený objekt.
</div>
</div>


Příklad:
Příklad:
Line 59: Line 94:
import FreeCAD, Draft
import FreeCAD, Draft


Rectangle = Draft.makeRectangle(10, 4)
Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)
}}
}}

{{Docnav
|[[Draft_Polygon|Polygon]]
|[[Draft_Text|Text]]
|[[Draft_Module|Draft]]
|IconL=Draft_Polygon.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Text.svg
}}

{{Draft Tools navi}}

{{Userdocnavi}}
{{clear}}
{{clear}}

Revision as of 17:58, 30 October 2019

Draft Rectangle

Umístění Menu
Draft -> Rectangle
Pracovní stoly
Kreslení, Architecture
Výchozí zástupce
R E
Představen ve verzi
-
Viz také
Part Box

Popis

Nástroj Obdélník vytváří obdélník zadáním dvou protějších bodů. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

Použití

  1. Stiskněte tlačítko Obdélník nebo klávesy R a potom E
  2. Klikněte na první roh ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na protější bod ve 3D pohledu nebo zadejte souřadnice. Obdélník je také povrchem, i když se jeví jako drátový model.

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.

Volby

  • Stiskněte X, Y nebo Z po prvním bodu pro určení osy, ve které bude následuící bod.
  • Pro zadání souřadnic ručně, jednoduše zadejte číslo a stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu R nebo klikněte/odklikněte zaklikávací políčko Relativní. Je-li nastaven relativní mód jsou souřadnice následujícího bodu relativní k předchozímu bodu. Je-li mód absolutní souřadnice jsou vztaženy k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, nástroj Obdélník bude po ukončení obdélníku restartován a připraven ke kreslení dalšího obdélníku bez nutnosti znovu jej spouštět klikáním na tlačítko Obdélník.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby Vašeho dalšího bodu vodorovně nebo svisle v relaci k předchozímu bodu.
  • Stiskněte klávesu I nebo tlačítko Filled aby se obdélník zobrazoval jako plocha. To jednoduše nastavuje Pohled->Vlastnost Obdélníku na "Otevřené čáry" nebo "Drátový model", toto také může být snadno změněno později.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu Obdélník.

Vlastnosti

  • ÚdajeDélka: Specifikuje délku obdélníku
  • ÚdajeŠířka: Specifikuje šířku obdélníku
  • ÚdajePoloměr zaoblení: Specifikuje poloměr zaoblení rohů obdélníku
  • PohledTextura obrázku: Umožňuje zadat adresu souboru s obrázkem, který bude zobrazen na obdélníku. Je na Vás jestli dáte obdélníku stejné proporce jako má obrázek abyste se vyhnuli jeho zkreslení. Nevyplnění této vlastnosti obrázek odebere.

Data

  • ÚdajeLength: specifies the length of the shape in the X axis direction.
  • ÚdajeHeight: specifies the height of the shape in the Y axis direction.
  • ÚdajeChamfer Size: specifies the diagonal length of the 45° chamfer at each corner of the rectangle.
  • ÚdajeFillet Radius: specifies the radius of the 90° fillet at each corner of the rectangle.
  • ÚdajeRows: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
  • ÚdajeColumns: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
  • ÚdajeMake Face: specifies if the shape makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.

View

  • PohledPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if ÚdajeMake Face is true, and if PohledDisplay Mode is "Flat Lines".
  • PohledPattern Size: specifies the size of the Draft Pattern.
  • PohledTexture Image: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
The rectangle should have the same proportions as the image to avoid distortions in the mapping.

Skriptování

Nástroj Obdélník může být využit v makrech a z konzoly Pythonu použitím následující funkce:

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Vytvoří objekt obdélník s délkou v ose X a výškou v ose Y.
  • Je-li zadáno placement (umístění), je použito.
  • Je-li facemode False, obdélník je zobrazen jako povrch, jinak jako drátový model.
  • Je použita tloušťka čáry a barva čáry podle aktuálního nastavení.
  • Výstupem je nově vytvořený objekt.

Příklad:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)